Deployments.ai Docs
Agent Email

List agent email inboxes

GET /v1/agent-email/inboxes · SDK listAgentEmailInboxes · CLI deployments inbox list

GET
/v1/agent-email/inboxes

Requires agent-email:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100
clientId?string
status?string
Value in"active""archived""paused"

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

AgentEmailInboxPageResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/agent-email/inboxes" \  -H "x-deployments-environment: string"
{  "items": [    {      "address": "string",      "clientId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "domainId": "string",      "id": "string",      "localPart": "string",      "metadata": {        "property1": null,        "property2": null      },      "name": "string",      "organizationId": "string",      "status": "active",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string"}